NG_ETHER_ECHO(4)

NAME
ng_ether_echo - netgraph ether_echo node type

SYNOPSIS
#include <netgraph/ng_ether_echo.h>

DESCRIPTION
The ether_echo node type reflects all data and control messages back to the sender. It assumes (and does not check) that the packet is an ethernet frame, and swaps the source and destination addresses before echoing it. This node type is used for testing and debugging.

HOOKS
A ether_echo node accepts any request to connect, regardless of the hook name, as long as the name is unique.

CONTROL MESSAGES
This node type supports only the generic control messages. Any other control messages are reflected back to the sender.

SHUTDOWN
This node shuts down upon receipt of a NGM_SHUTDOWN control message, or when all hooks have been disconnected.

SEE ALSO
netgraph(4), ng_hole(4), ng_echo(4), ng_ether(4), ngctl(8)

HISTORY
The ng_ether_echo node type was implemented in FreeBSD 8.0.

AUTHORS
Julian Elischer <julian@FreeBSD.org>